{{ define "main" }}

{{ partial "header_image.html" . }}

{{ with .Content }}
    <h3>Content</h3>
    {{ . }}
{{ end }}

{{ with .Resources }}
    <hr />
    <h3 id="resources">Resources</h3>
    <ul>
	{{ range . }}
	    {{ if .RelPermalink }}
	        <li><a href="{{ .RelPermalink }}">{{ .Title }}</a></li>
	    {{ else }}
	        <li>{{ .ResourceType | title }} (no link, only embedded in page)</li>
	    {{ end }}
	{{ end }}
    </ul>
{{ end }}

<!-- Have the paginator list all the regular pages in the site,
     sorted by content creation date, most recent first -->
{{ $paginator := .Paginate (site.RegularPages.ByDate.Reverse) 7 }}
{{ .Scratch.Set "pagination" $paginator }}

{{ partial "pagenav.html" . }}

<div class="posts">
    <!-- http://justindunham.net/blog-bells-and-whistles-in-hugo/ -->
    {{ range $paginator.Pages }}
        {{ .Render "summary"}}
    {{ end }}
</div>

{{ partial "pagenav.html" . }}

{{ if (not ($.Param "disable_debug")) }}
    {{ if (eq 1 $paginator.PageNumber) }}
        <hr />
        <h3 id="debug">SiteInfo (Debug)</h3>
        {{ partial "debugprint.html" .Site }}
        <hr />
        <h3 id="file-debug">File Object (Debug)</h3>
        {{ partial "debugprint.html" .File }}
        <hr />
        <h3 id="debug-menu">Menu (Debug)</h3>
        {{ partial "debugprint.html" .Site.Menus }}
    {{ end }}
{{ end }}

{{ end }}
